createrepo_c library 1.2.1 C library for metadata manipulation

Data Structures | Enumerations | Functions
Package representation.

## Data Structures
struct | cr_Dependency
struct | cr_PackageFile
struct | cr_ChangelogEntry
struct | cr_BinaryData
struct | cr_Package

## Enumerations
enum | cr_PackageLoadingFlags { CR_PACKAGE_FROM_HEADER = (1<<1), CR_PACKAGE_FROM_XML = (1<<2), CR_PACKAGE_LOADED_PRI = (1<<10), CR_PACKAGE_LOADED_FIL = (1<<11), CR_PACKAGE_LOADED_OTH = (1<<12), CR_PACKAGE_SINGLE_CHUNK = (1<<13) }

## Functions
cr_Dependency * | cr_dependency_new (void)
cr_PackageFile * | cr_package_file_new (void)
cr_ChangelogEntry * | cr_changelog_entry_new (void)
cr_BinaryData * | cr_binary_data_new (void)
cr_Package * | cr_package_new (void)
cr_Package * | cr_package_new_without_chunk (void)
void | cr_package_free (cr_Package *package)
gchar * | cr_package_nvra (cr_Package *package)
gchar * | cr_package_nevra (cr_Package *package)
cr_Package * | cr_package_copy (cr_Package *package)

## Detailed Description

## Enumeration Type Documentation

## ◆ cr_PackageLoadingFlags

enum cr_PackageLoadingFlags

Enumerator
CR_PACKAGE_FROM_HEADER | Metadata parsed from header
CR_PACKAGE_FROM_XML | Metadata parsed xml
CR_PACKAGE_LOADED_PRI | Primary metadata was loaded
CR_PACKAGE_LOADED_FIL | Filelists[_ext] metadata was loaded
CR_PACKAGE_LOADED_OTH | Other metadata was loaded
CR_PACKAGE_SINGLE_CHUNK | Package shares a single chunk with others

Definition at line 36 of file package.h.

## Function Documentation

## ◆ cr_binary_data_new()

cr_BinaryData* cr_binary_data_new | ( | void |  | ) |

Create new (empty) structure for binary data

Returns
  new mepty cr_BinaryData

## ◆ cr_changelog_entry_new()

cr_ChangelogEntry* cr_changelog_entry_new | ( | void |  | ) |

Create new (empty) changelog structure.

Returns
  new empty cr_ChangelogEntry

## ◆ cr_dependency_new()

cr_Dependency* cr_dependency_new | ( | void |  | ) |

Create new (empty) dependency structure.

Returns
  new empty cr_Dependency

## ◆ cr_package_copy()

cr_Package* cr_package_copy | ( | cr_Package * | package | ) |

Create a standalone copy of the package.

Parameters

  package | cr_Package

Returns
  copy of the package

## ◆ cr_package_file_new()

cr_PackageFile* cr_package_file_new | ( | void |  | ) |

Create new (empty) package file structure.

Returns
  new emtpy cr_PackageFile

## ◆ cr_package_free()

void cr_package_free | ( | cr_Package * | package | ) |

Free package structure and all its structures.

Parameters

  package | cr_Package

## ◆ cr_package_nevra()

gchar* cr_package_nevra | ( | cr_Package * | package | ) |

Get NEVRA package string

Parameters

  package | cr_Package

Returns
  nevra string

## ◆ cr_package_new()

cr_Package* cr_package_new | ( | void |  | ) |

Create new (empty) package structure.

Returns
  new empty cr_Package

## ◆ cr_package_new_without_chunk()

cr_Package* cr_package_new_without_chunk | ( | void |  | ) |

Create new (empty) package structure without initialized string chunk.

Returns
  new empty cr_Package

## ◆ cr_package_nvra()

gchar* cr_package_nvra | ( | cr_Package * | package | ) |

Get NVRA package string

Parameters

  package | cr_Package

Returns
  nvra string